package com.loh.model;

import java.util.ArrayList;
import java.util.List;

public class LandlordInfoExample {
    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database table landlord_info
     *
     * @mbg.generated
     */
    protected String orderByClause;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database table landlord_info
     *
     * @mbg.generated
     */
    protected boolean distinct;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database table landlord_info
     *
     * @mbg.generated
     */
    protected List<Criteria> oredCriteria;

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table landlord_info
     *
     * @mbg.generated
     */
    public LandlordInfoExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table landlord_info
     *
     * @mbg.generated
     */
    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table landlord_info
     *
     * @mbg.generated
     */
    public String getOrderByClause() {
        return orderByClause;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table landlord_info
     *
     * @mbg.generated
     */
    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table landlord_info
     *
     * @mbg.generated
     */
    public boolean isDistinct() {
        return distinct;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table landlord_info
     *
     * @mbg.generated
     */
    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table landlord_info
     *
     * @mbg.generated
     */
    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table landlord_info
     *
     * @mbg.generated
     */
    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table landlord_info
     *
     * @mbg.generated
     */
    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table landlord_info
     *
     * @mbg.generated
     */
    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table landlord_info
     *
     * @mbg.generated
     */
    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
     * This class was generated by MyBatis Generator.
     * This class corresponds to the database table landlord_info
     *
     * @mbg.generated
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Integer value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Integer value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Integer> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andLandlordIdIsNull() {
            addCriterion("landlord_id is null");
            return (Criteria) this;
        }

        public Criteria andLandlordIdIsNotNull() {
            addCriterion("landlord_id is not null");
            return (Criteria) this;
        }

        public Criteria andLandlordIdEqualTo(Integer value) {
            addCriterion("landlord_id =", value, "landlordId");
            return (Criteria) this;
        }

        public Criteria andLandlordIdNotEqualTo(Integer value) {
            addCriterion("landlord_id <>", value, "landlordId");
            return (Criteria) this;
        }

        public Criteria andLandlordIdGreaterThan(Integer value) {
            addCriterion("landlord_id >", value, "landlordId");
            return (Criteria) this;
        }

        public Criteria andLandlordIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("landlord_id >=", value, "landlordId");
            return (Criteria) this;
        }

        public Criteria andLandlordIdLessThan(Integer value) {
            addCriterion("landlord_id <", value, "landlordId");
            return (Criteria) this;
        }

        public Criteria andLandlordIdLessThanOrEqualTo(Integer value) {
            addCriterion("landlord_id <=", value, "landlordId");
            return (Criteria) this;
        }

        public Criteria andLandlordIdIn(List<Integer> values) {
            addCriterion("landlord_id in", values, "landlordId");
            return (Criteria) this;
        }

        public Criteria andLandlordIdNotIn(List<Integer> values) {
            addCriterion("landlord_id not in", values, "landlordId");
            return (Criteria) this;
        }

        public Criteria andLandlordIdBetween(Integer value1, Integer value2) {
            addCriterion("landlord_id between", value1, value2, "landlordId");
            return (Criteria) this;
        }

        public Criteria andLandlordIdNotBetween(Integer value1, Integer value2) {
            addCriterion("landlord_id not between", value1, value2, "landlordId");
            return (Criteria) this;
        }

        public Criteria andAddressIsNull() {
            addCriterion("address is null");
            return (Criteria) this;
        }

        public Criteria andAddressIsNotNull() {
            addCriterion("address is not null");
            return (Criteria) this;
        }

        public Criteria andAddressEqualTo(String value) {
            addCriterion("address =", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressNotEqualTo(String value) {
            addCriterion("address <>", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressGreaterThan(String value) {
            addCriterion("address >", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressGreaterThanOrEqualTo(String value) {
            addCriterion("address >=", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressLessThan(String value) {
            addCriterion("address <", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressLessThanOrEqualTo(String value) {
            addCriterion("address <=", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressLike(String value) {
            addCriterion("address like", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressNotLike(String value) {
            addCriterion("address not like", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressIn(List<String> values) {
            addCriterion("address in", values, "address");
            return (Criteria) this;
        }

        public Criteria andAddressNotIn(List<String> values) {
            addCriterion("address not in", values, "address");
            return (Criteria) this;
        }

        public Criteria andAddressBetween(String value1, String value2) {
            addCriterion("address between", value1, value2, "address");
            return (Criteria) this;
        }

        public Criteria andAddressNotBetween(String value1, String value2) {
            addCriterion("address not between", value1, value2, "address");
            return (Criteria) this;
        }

        public Criteria andCertificationIsNull() {
            addCriterion("certification is null");
            return (Criteria) this;
        }

        public Criteria andCertificationIsNotNull() {
            addCriterion("certification is not null");
            return (Criteria) this;
        }

        public Criteria andCertificationEqualTo(Integer value) {
            addCriterion("certification =", value, "certification");
            return (Criteria) this;
        }

        public Criteria andCertificationNotEqualTo(Integer value) {
            addCriterion("certification <>", value, "certification");
            return (Criteria) this;
        }

        public Criteria andCertificationGreaterThan(Integer value) {
            addCriterion("certification >", value, "certification");
            return (Criteria) this;
        }

        public Criteria andCertificationGreaterThanOrEqualTo(Integer value) {
            addCriterion("certification >=", value, "certification");
            return (Criteria) this;
        }

        public Criteria andCertificationLessThan(Integer value) {
            addCriterion("certification <", value, "certification");
            return (Criteria) this;
        }

        public Criteria andCertificationLessThanOrEqualTo(Integer value) {
            addCriterion("certification <=", value, "certification");
            return (Criteria) this;
        }

        public Criteria andCertificationIn(List<Integer> values) {
            addCriterion("certification in", values, "certification");
            return (Criteria) this;
        }

        public Criteria andCertificationNotIn(List<Integer> values) {
            addCriterion("certification not in", values, "certification");
            return (Criteria) this;
        }

        public Criteria andCertificationBetween(Integer value1, Integer value2) {
            addCriterion("certification between", value1, value2, "certification");
            return (Criteria) this;
        }

        public Criteria andCertificationNotBetween(Integer value1, Integer value2) {
            addCriterion("certification not between", value1, value2, "certification");
            return (Criteria) this;
        }

        public Criteria andImageOneIsNull() {
            addCriterion("image_one is null");
            return (Criteria) this;
        }

        public Criteria andImageOneIsNotNull() {
            addCriterion("image_one is not null");
            return (Criteria) this;
        }

        public Criteria andImageOneEqualTo(String value) {
            addCriterion("image_one =", value, "imageOne");
            return (Criteria) this;
        }

        public Criteria andImageOneNotEqualTo(String value) {
            addCriterion("image_one <>", value, "imageOne");
            return (Criteria) this;
        }

        public Criteria andImageOneGreaterThan(String value) {
            addCriterion("image_one >", value, "imageOne");
            return (Criteria) this;
        }

        public Criteria andImageOneGreaterThanOrEqualTo(String value) {
            addCriterion("image_one >=", value, "imageOne");
            return (Criteria) this;
        }

        public Criteria andImageOneLessThan(String value) {
            addCriterion("image_one <", value, "imageOne");
            return (Criteria) this;
        }

        public Criteria andImageOneLessThanOrEqualTo(String value) {
            addCriterion("image_one <=", value, "imageOne");
            return (Criteria) this;
        }

        public Criteria andImageOneLike(String value) {
            addCriterion("image_one like", value, "imageOne");
            return (Criteria) this;
        }

        public Criteria andImageOneNotLike(String value) {
            addCriterion("image_one not like", value, "imageOne");
            return (Criteria) this;
        }

        public Criteria andImageOneIn(List<String> values) {
            addCriterion("image_one in", values, "imageOne");
            return (Criteria) this;
        }

        public Criteria andImageOneNotIn(List<String> values) {
            addCriterion("image_one not in", values, "imageOne");
            return (Criteria) this;
        }

        public Criteria andImageOneBetween(String value1, String value2) {
            addCriterion("image_one between", value1, value2, "imageOne");
            return (Criteria) this;
        }

        public Criteria andImageOneNotBetween(String value1, String value2) {
            addCriterion("image_one not between", value1, value2, "imageOne");
            return (Criteria) this;
        }

        public Criteria andImageTowIsNull() {
            addCriterion("image_tow is null");
            return (Criteria) this;
        }

        public Criteria andImageTowIsNotNull() {
            addCriterion("image_tow is not null");
            return (Criteria) this;
        }

        public Criteria andImageTowEqualTo(String value) {
            addCriterion("image_tow =", value, "imageTow");
            return (Criteria) this;
        }

        public Criteria andImageTowNotEqualTo(String value) {
            addCriterion("image_tow <>", value, "imageTow");
            return (Criteria) this;
        }

        public Criteria andImageTowGreaterThan(String value) {
            addCriterion("image_tow >", value, "imageTow");
            return (Criteria) this;
        }

        public Criteria andImageTowGreaterThanOrEqualTo(String value) {
            addCriterion("image_tow >=", value, "imageTow");
            return (Criteria) this;
        }

        public Criteria andImageTowLessThan(String value) {
            addCriterion("image_tow <", value, "imageTow");
            return (Criteria) this;
        }

        public Criteria andImageTowLessThanOrEqualTo(String value) {
            addCriterion("image_tow <=", value, "imageTow");
            return (Criteria) this;
        }

        public Criteria andImageTowLike(String value) {
            addCriterion("image_tow like", value, "imageTow");
            return (Criteria) this;
        }

        public Criteria andImageTowNotLike(String value) {
            addCriterion("image_tow not like", value, "imageTow");
            return (Criteria) this;
        }

        public Criteria andImageTowIn(List<String> values) {
            addCriterion("image_tow in", values, "imageTow");
            return (Criteria) this;
        }

        public Criteria andImageTowNotIn(List<String> values) {
            addCriterion("image_tow not in", values, "imageTow");
            return (Criteria) this;
        }

        public Criteria andImageTowBetween(String value1, String value2) {
            addCriterion("image_tow between", value1, value2, "imageTow");
            return (Criteria) this;
        }

        public Criteria andImageTowNotBetween(String value1, String value2) {
            addCriterion("image_tow not between", value1, value2, "imageTow");
            return (Criteria) this;
        }
    }

    /**
     * This class was generated by MyBatis Generator.
     * This class corresponds to the database table landlord_info
     *
     * @mbg.generated do_not_delete_during_merge
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    /**
     * This class was generated by MyBatis Generator.
     * This class corresponds to the database table landlord_info
     *
     * @mbg.generated
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}